<?php
/**
 *
 * moeDesigns AnyCode 1.5 Series - Code Placement Module for Joomla 1.5.x
 * 
 * @package    MoeDesigns.AnyCode.1.5
 * @subpackage Modules
 * @link http://www.moedesigns.com
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');

class modMoeDesignsAnyCode
{

	function getOutput( &$params ) {

		$db		=& JFactory::getDBO();
		$user		=& JFactory::getUser();
		$aid		= $user->get('aid', 0);
		$nullDate	= $db->getNullDate();
		$date		=& JFactory::getDate();
		$now		= $date->toMySQL();
		$contentConfig	= &JComponentHelper::getParams( 'com_content' );
		$noauth		= !$contentConfig->get('show_noauth');
		$userId		= (int) $user->get('id');
		$articleid	= (int) $params->get('articleid', 0);
		$output_text	= '';

		if ($randomize == 1)	$orderby = " rand()";
		else			$orderby = " a.ordering";

		$state = '';
		$str_where = ' AND a.id = '. (int) $articleid;
		$orderby = ' ORDER BY' . $orderby . ' ASC';

		$query = 'SELECT a.*,' .
			' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) ELSE a.id END as slug,'.
			' CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) ELSE cc.id END as catslug'.
			' FROM #__content AS a' .
			' INNER JOIN #__categories AS cc ON cc.id = a.catid' .
			' INNER JOIN #__sections AS s ON s.id = a.sectionid' .
			' WHERE cc.section = s.id' .
			($noauth ? ' AND a.access <= ' .(int) $aid. ' AND cc.access <= ' .(int) $aid. ' AND s.access <= ' .(int) $aid : '').
			' ' . $str_where .
			$state . $orderby;

		$db->setQuery($query, 0, $count);

	        $articles	= $db->loadObjectList();
		$article_list	= array();
		$i		= 0;

		if ($db->getAffectedRows() > -1) {
			foreach ($articles as $row) {
				if ((($row->fulltext != '') && ($row->introtext != '')) && ($row->fulltext != $row->introtext)) $output_text = $row->introtext . $row->fulltext;
				else if ((($row->fulltext != '') && ($row->introtext != '')) && ($row->fulltext == $row->introtext)) $output_text = $row->introtext;
				else if (($row->fulltext == '') && ($row->introtext != '')) $output_text = $row->introtext;
				else if (($row->fulltext != '') && ($row->introtext == '')) $output_text = $row->fulltext;
			}
		}
		return $output_text;
	}

}
?>

